import { CategoryXAxis } from "./CategoryXAxis";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisLabellingMode } from "./TimeAxisLabellingMode";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { Rect } from "igniteui-angular-core";
import { ScalerParams } from "./ScalerParams";
import { CategoryMode } from "./CategoryMode";
import { IList$1, EventArgs, Type } from "igniteui-angular-core";
import { IGetItemAtIndex } from "igniteui-angular-core";
import { FastItemsSourceEventArgs } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class OrdinalTimeXAxis extends CategoryXAxis implements ITimeRangeSelectorAxis {
    static $t: Type;
    d1(a: number, b: Rect, c: Rect): number;
    d0(a: number, b: ScalerParams, c: CategoryMode): number;
    dz(a: number, b: ScalerParams): number;
    private me;
    gs(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    gt(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    d4(a: number, b: Rect, c: Rect): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    d2(a: number, b: ScalerParams): number;
    private mf;
    d3(a: number, b: ScalerParams, c: CategoryMode): number;
    gu(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    constructor();
    protected g0(a: any, b: string, c: any, d: any): void;
    private l1;
    get actualMinimumValue(): Date;
    set actualMinimumValue(a: Date);
    private l0;
    get actualMaximumValue(): Date;
    set actualMaximumValue(a: Date);
    private l7;
    get visibleMinimum(): Date;
    set visibleMinimum(a: Date);
    private l6;
    get visibleMaximum(): Date;
    set visibleMaximum(a: Date);
    private l3;
    get mb(): Date;
    set mb(a: Date);
    private l2;
    get ma(): Date;
    set ma(a: Date);
    private mt;
    private mu;
    private mh;
    protected hd(a: boolean): void;
    private mg;
    get dateTimeMemberPath(): string;
    set dateTimeMemberPath(a: string);
    private lw;
    get lx(): TimeAxisLabellingMode;
    set lx(a: TimeAxisLabellingMode);
    private ly;
    private get lz();
    private set lz(value);
    protected hp(a: Rect, b: Rect): void;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    private lu;
    get lv(): TimeAxisLabelFormatCollection;
    private ms;
    g2(a: string): void;
    e9(a: any): any;
    fm(a: number): string;
    private get mr();
    private get mo();
    protected k7(): IGetItemAtIndex;
    protected ho(a: Rect, b: Rect): void;
    protected ld(a: number, b: ScalerParams): number;
    protected lc(a: number, b: number, c: boolean, d: ScalerParams): number;
    private mq;
    private mp;
    itemLabelFormat(): string;
    private l5;
    get minimumValue(): Date;
    set minimumValue(a: Date);
    private l4;
    get maximumValue(): Date;
    set maximumValue(a: Date);
    cp(): boolean;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected kt(a: FastItemsSourceEventArgs): void;
    get isVertical(): boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    get j$a(): boolean;
}
